NAME := terraform
DEPENDS_ON := \
	asdf
CODE_EXTENSIONS := \
	hashicorp.terraform

include $(CODY)
include $(SHARED)/code/code.mk

DEPENDS_ON += $(CODE_INSTALLER)

.PHONY: install
install: | \
	$(HOME)/.asdf/shims/$(NAME) \
	code-extensions
$(HOME)/.asdf/shims/$(NAME):
	@asdf plugin add $(NAME)
	@asdf install $(NAME) latest
	@asdf global $(NAME) latest

.PHONY: uninstall
uninstall:
